'use client';
import { Builder } from '@/src/components/builder/Builder';
import { PortfolioConfigProvider } from '@/src/components/builder/context/PortfolioConfigContext';
import { useParams } from 'next/navigation';

export default function Page() {
  const { id } = useParams();

  return (
    <PortfolioConfigProvider portfolioId={id as string}>
      <Builder />
    </PortfolioConfigProvider>
  );
}
